- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes

# QWidgetItem Class Reference

Search for all occurrences

## Detailed Description

Definition at line 122 of file qlayoutitem.h.

`#include <qlayoutitem.h>`

Inheritance diagram for QWidgetItem:
[legend]

List of all members.

## Public Member Functions
| QWidgetItem (QWidget *w)
QSize | sizeHint () const
QSize | minimumSize () const
QSize | maximumSize () const
Qt::Orientations | expandingDirections () const
bool | isEmpty () const
void | setGeometry (const QRect &)
QRect | geometry () const
virtual QWidget * | widget ()
bool | hasHeightForWidth () const
int | heightForWidth (int) const
## Protected Attributes
QWidget * | wid

## Constructor & Destructor Documentation

QWidgetItem | ( | QWidget * | w | ) | `[inline, explicit]`

Definition at line 127 of file qlayoutitem.h.

    : wid(w) { }

## Member Function Documentation

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QLayoutItem.

Reimplemented in QWidgetItemV2.

QSize minimumSize | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QLayoutItem.

Reimplemented in QWidgetItemV2.

QSize maximumSize | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QLayoutItem.

Reimplemented in QWidgetItemV2.

Qt::Orientations expandingDirections | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QLayoutItem.

bool isEmpty | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QLayoutItem.

void setGeometry | ( | const QRect & |  | ) | `[virtual]`

Search for all occurrences

Implements QLayoutItem.

QRect geometry | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QLayoutItem.

virtual QWidget* widget | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QLayoutItem.

bool hasHeightForWidth | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QLayoutItem.

int heightForWidth | ( | int |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QLayoutItem.

Reimplemented in QWidgetItemV2.

## Member Data Documentation

QWidget* wid `[protected]`

Search for all occurrences

Definition at line 141 of file qlayoutitem.h.

The documentation for this class was generated from the following file:

- QtGui/qlayoutitem.h

QWidgetItem QWidgetItem QWidgetItem QWidgetItem QWidgetItem QWidgetItem QWidgetItem QWidgetItem QWidgetItem QWidgetItem
QWidgetItem QWidgetItem QWidgetItem QWidgetItem QWidgetItem QWidgetItem QWidgetItem QWidgetItem QWidgetItem QWidgetItem